## doconce 0.7.3

=== doc/api-source/sphinx-rootdir/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DoconceDocumentation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DoconceDocumentation.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## doconce 0.5.1

=== debian/changelog ===
doconce (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #628915)

 -- Johannes Ring <johannr@simula.no>  Sun, 12 Jun 2011 09:34:21 +0200

=== debian/control ===
Source: doconce
Section: text
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://doconce.googlecode.com
Vcs-Svn: svn://svn.debian.org/python-apps/packages/doconce/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/doconce/trunk/

Package: doconce
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: preprocess, python-mako
Suggests: imagemagick, python-docutils, python-sphinx, pandoc
Description: document once, include anywhere
 Doconce is two things:
 .
 1. Doconce is a very simple and minimally tagged markup language that
 looks like ordinary ASCII text (much like what you would use in an
 email), but the text can be transformed to numerous other formats,
 including HTML, Wiki, LaTeX, PDF, reStructuredText (reST), Sphinx,
 Epytext, and also plain text (where non-obvious formatting/tags are
 removed for clear reading in, e.g., emails). From reStructuredText
 you can go to XML, HTML, LaTeX, PDF, OpenOffice, and from the latter
 to RTF and MS Word. From Pandoc one can generate Markdown, reST,
 LaTeX, HTML, PDF, DocBook XML, OpenOffice, GNU Texinfo, MediaWiki,
 RTF, Groff, and other formats.
 .
 2. Doconce is a working strategy for never duplicating information.
 Text is written in a single place and then transformed to a number of
 different destinations of diverse type (software source code,
 manuals, tutorials, books, wikis, memos, emails, etc.). The Doconce
 markup language support this working strategy. The slogan is: "Write
 once, include anywhere".

## doconce 0.7.3

=== debian/changelog ===
doconce (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no changes needed).
    - Add ptex2tex, texlive-base, texlive-latex-base and
      texlive-base-recommended to Suggests.

 -- Johannes Ring <johannr@simula.no>  Sat, 30 Jun 2012 00:05:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://doconce.googlecode.com
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/doconce/trunk
@@ -14,7 +14,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Recommends: preprocess, python-mako
-Suggests: imagemagick, python-docutils, python-sphinx, pandoc
+Suggests: imagemagick, python-docutils, python-sphinx, pandoc, ptex2tex,
+ texlive-base, texlive-latex-base, texlive-base-recommended
 Description: document once, include anywhere
  Doconce is two things:
  .

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = doconce

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE_ALL := .py .do.txt .sh

USCAN_DESTDIR := $(CURDIR)

get-orig-source:
	uscan --no-conf --force-download --verbose --destdir $(USCAN_DESTDIR) \
	 --download-version $(DEB_UPSTREAM_VERSION) \
	 --upstream-version $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(doconce-([\d.]+)\.tar\.gz).*#http://doconce.googlecode.com/files/$1# \
http://code.google.com/p/doconce/downloads/list ^.*/doconce-([\d.]+)\.tar\.gz
